BSpline curve selection problem

Hello.
I found very strange problem with curve (BSpline) selection. I create a BSpline, make from this curve an edge and display it. When I open local context
myAISContext->ActivateStandardMode(TopAbs_EDGE),
curve selection works very strange. The curve is highligted when the mouse is far from the object. Below follows the code of the edge creation :

gp_Pnt P1(0,0,1);
gp_Pnt P2(1,2,2);
gp_Pnt P3(2,3,3);
gp_Pnt P4(4,3,4);
gp_Pnt P5(5,5,5);
TColgp_Array1OfPnt array (1,5); // sizing array
array.SetValue(1,P1);
array.SetValue(2,P2);
array.SetValue(3,P3);
array.SetValue(4,P4);
array.SetValue(5,P5);

Handle(Geom_BSplineCurve) SPL1 =
GeomAPI_PointsToBSpline(array).Curve();

BRepBuilderAPI_MakeEdge ME(SPL1);

Handle(AIS_Shape) aCrv = new AIS_Shape(ME.Edge());
myAISContext->SetDisplayMode(aCrv,1);
myAISContext->Display(aCrv, Standard_True);

flyinsword's picture

I have the same problem.
If the selectable type is EDGE or WIRE, the problem is up.
myAISContext->ActivateStandardMode(TopAbs_EDGE),
myAISContext->ActivateStandardMode(TopAbs_WIRE),
But if the selectable type is VERTEX, no problem.

Hope for somebody kindly give an answer.